<div ...attributes class="attribute-group {{if this.isPosition 'card-position'}} {{if this.isIconList 'icon-list'}}">
  <h4 class="card-header">
    {{#if @group.icon.image}}
      <img src={{@group.icon.image.value}} class="icon pe-2" alt={{@group.name}} />
    {{/if}}

    <div class="flex-grow-1">
      {{#if @group.indexed}}
        {{@group.order}}.
      {{/if}}

      {{#if @group.name}}
        {{capitalize @group.name}}
      {{/if}}
    </div>

    {{#if @group.isLoading}}
      <FaIcon @icon="spinner" @spin={{true}} />
    {{/if}}

    {{#if @group.validationMessage}}
      <div class="float-end text-danger icon-validation-error" {{did-insert this.createValidationPopover}}>
        <FaIcon @icon="exclamation-triangle" />
      </div>
    {{/if}}

    {{#if (and @group.canBeRemoved @remove)}}
      <button type="button" class="btn btn-outline-danger btn-delete btn-sm" aria-label="Remove" {{on "click" (fn this.remove @group.key @group.index)}}>
        <FaIcon @icon="trash" />
      </button>
    {{/if}}
  </h4>

  <div class="p-0 card-{{this.className}}">
    {{yield}}
  </div>
</div>